##################################################################################################
#
# Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
#
##################################################################################################

###################################################################################################
# menu.config
#
# @author Joeseph Zeldin
# @version 1.2.10 23.06.2000
###################################################################################################

###################################################################################################
# <diagram>
###################################################################################################
# new group
menu.item.element.xmlStructureDiagram.New = group
menu.item.element.xmlStructureDiagram.New.name = ["menu/new"]
menu.item.element.xmlStructureDiagram.New.separator.after = true

# new Element
menu.item.element.xmlStructureDiagram.New.item.Element =
\ node = createNode("xmlElement");
\ node->setProperty("$name","$default");
\ node->setProperty("$content","empty")
menu.item.element.xmlStructureDiagram.New.item.Element.condition = hasPropertyValue("$modelPart", "model")
menu.item.element.xmlStructureDiagram.New.item.Element.name = ["xmlStructureDiagram/xmlElement"]
menu.item.element.xmlStructureDiagram.New.item.Element.icon = "com/togethersoft/modules/xml/images/toolbar/xmltype-toolbar-element.gif"
menu.item.element.xmlStructureDiagram.New.item.Element.shortcut = CTRL+E

# new model group
menu.item.element.xmlStructureDiagram.New.item.Model Group =
\ node = createNode("xmlModelGroup");
\ node->setProperty ("compositor", "sequence")
menu.item.element.xmlStructureDiagram.New.item.Model Group.condition = hasPropertyValue("$modelPart", "model")
menu.item.element.xmlStructureDiagram.New.item.Model Group.name = ["xmlStructureDiagram/xmlModelGroup"]
menu.item.element.xmlStructureDiagram.New.item.Model Group.icon = "com/togethersoft/modules/xml/images/toolbar/xmltype-toolbar-modelgroup.gif"
menu.item.element.xmlStructureDiagram.New.item.Model Group.shortcut = CTRL+G

menu.item.element.xmlStructureDiagram.Properties
menu.item.element.xmlStructureDiagram.Properties.separator.after = true

menu.item.element.xmlStructureDiagram.Add
menu.item.element.xmlStructureDiagram.Add.separator.after = true

menu.item.element.xmlStructureDiagram.Zoom
menu.item.element.xmlStructureDiagram.Show Hidden
menu.item.element.xmlStructureDiagram.Diagram Layout
menu.item.element.xmlStructureDiagram.Diagram Layout.separator.after = true

menu.item.element.xmlStructureDiagram.Update
menu.item.element.xmlStructureDiagram.Update Package Dependencies
menu.item.element.xmlStructureDiagram.Diagram Options
menu.item.element.xmlStructureDiagram.Diagram Options.separator.after = true

menu.item.element.xmlStructureDiagram.Copy
menu.item.element.xmlStructureDiagram.Copy
menu.item.element.xmlStructureDiagram.Cut
menu.item.element.xmlStructureDiagram.Clone
menu.item.element.xmlStructureDiagram.Paste
menu.item.element.xmlStructureDiagram.Paste Reference
menu.item.element.xmlStructureDiagram.Delete from View
menu.item.element.xmlStructureDiagram.Delete from View with Shortcut
menu.item.element.xmlStructureDiagram.Delete
menu.item.element.xmlStructureDiagram.Delete with Shortcut
menu.item.element.xmlStructureDiagram.Delete with Shortcut.separator.after = true

menu.item.element.xmlStructureDiagram.Close
menu.item.element.xmlStructureDiagram.Close.separator.after = true
###################################################################################################
# </diagram>
###################################################################################################

###################################################################################################
# <attributegroup>
###################################################################################################
# new group
menu.item.element.xmlAttributeGroup.New = group
menu.item.element.xmlAttributeGroup.New.name = ["menu/new"]
menu.item.element.xmlAttributeGroup.New.separator.after = true

# new attribute
menu.item.element.xmlAttributeGroup.New.item.xmlAttribute = 
\ node = createNode("xmlAttribute");
\ node->setProperty("$name","$default");
\ node->setProperty("attype","atomic");
\ node->setProperty("dataType","string");
\ node->setProperty("enumType","strings");
\ node->setProperty("$occurs","implied")
menu.item.element.xmlAttributeGroup.New.item.xmlAttribute.name = ["xmlStructureDiagram/xmlAttribute"]
menu.item.element.xmlAttributeGroup.New.item.xmlAttribute.icon = "com/togethersoft/modules/xml/images/toolbar/xmltype-toolbar-attribute.gif"
menu.item.element.xmlAttributeGroup.New.item.xmlAttribute.shortcut = CTRL+A

menu.item.element.xmlAttributeGroup.New.item.Attribute Reference=
\ node = createNode("xmlAttributeRef");
\ node->setProperty("$name","$default")
#\ node->setProperty("$occurs","implied")
menu.item.element.xmlAttributeGroup.New.item.Attribute Reference.name = ["xmlStructureDiagram/xmlAttributeRef"]
menu.item.element.xmlAttributeGroup.New.item.Attribute Reference.condition = %element%->hasProperty ("$canPasteAttributeRef")
menu.item.element.xmlAttributeGroup.New.item.Attribute Reference.separator.after = true
#menu.item.element.xmlAttributeGroup.New.item.Attribute Reference.shortcut = CTRL+T

menu.item.element.xmlAttributeGroup.New.item.Attribute Group=
\ node = createNode("xmlAttributeGroupRef");
\ node->setProperty("$name","$default")
menu.item.element.xmlAttributeGroup.New.item.Attribute Group.name = ["xmlStructureDiagram/xmlAttributeGroupRef"]
menu.item.element.xmlAttributeGroup.New.item.Attribute Group.icon = "com/togethersoft/modules/xml/images/toolbar/xmltype-toolbar-attributegroup.gif"
menu.item.element.xmlAttributeGroup.New.item.Attribute Group.condition = %element%->hasProperty ("$canPasteAttributeGroupRef")
menu.item.element.xmlAttributeGroup.New.item.Attribute Group.shortcut = CTRL+G

#menu.item.element.xmlAttributeGroup.reusable                = setProperty("reusable", !hasProperty("reusable"))
#menu.item.element.xmlAttributeGroup.reusable.checkbox       = true
#menu.item.element.xmlAttributeGroup.reusable.checkbox.state = hasProperty("reusable")
#menu.item.element.xmlAttributeGroup.reusable.name           = ["xmlStructureDiagram/xmlAttributeGroup.property.reusable"]
#menu.item.element.xmlAttributeGroup.reusable.separator.after = true                 

menu.item.element.xmlAttributeGroup.Properties
menu.item.element.xmlAttributeGroup.Properties.separator.after = true

menu.item.element.xmlAttributeGroup.Copy
menu.item.element.xmlAttributeGroup.Cut
menu.item.element.xmlAttributeGroup.Clone
menu.item.element.xmlAttributeGroup.Paste
menu.item.element.xmlAttributeGroup.Paste Reference
menu.item.element.xmlAttributeGroup.Paste Reference
menu.item.element.xmlAttributeGroup.Delete
menu.item.element.xmlAttributeGroup.Delete from View
menu.item.element.xmlAttributeGroup.Delete from View with Shortcut
menu.item.element.xmlAttributeGroup.Delete with Shortcut
menu.item.element.xmlAttributeGroup.Delete with Shortcut.separator.after = true

menu.item.element.xmlAttributeGroup.Layout
menu.item.element.xmlAttributeGroup.Hide/Show
menu.item.element.xmlAttributeGroup.Hide/Show.separator.after = true

menu.item.element.xmlAttributeGroup.Rename
menu.item.element.xmlAttributeGroup.Rename.separator.after = true
###################################################################################################
# </attributegroup>
###################################################################################################

###################################################################################################
# <element>
###################################################################################################
# new group
menu.item.element.xmlElement.New = group
menu.item.element.xmlElement.New.name = ["menu/new"]
menu.item.element.xmlElement.New.separator.after = true

# new attribute
menu.item.element.xmlElement.New.item.xmlAttribute = 
\ node = createNode("xmlAttribute");
\ node->setProperty("$name","$default");
\ node->setProperty("attype","atomic");
\ node->setProperty("dataType","string");
\ node->setProperty("enumType","strings");
\ node->setProperty("$occurs","implied")
menu.item.element.xmlElement.New.item.xmlAttribute.name = ["xmlStructureDiagram/xmlAttribute"]
menu.item.element.xmlElement.New.item.xmlAttribute.icon = "com/togethersoft/modules/xml/images/toolbar/xmltype-toolbar-attribute.gif"
menu.item.element.xmlElement.New.item.xmlAttribute.shortcut = CTRL+A

menu.item.element.xmlElement.New.item.Attribute Reference=
\ node = createNode("xmlAttributeRef");
\ node->setProperty("$name","$default")
#\ node->setProperty("$occurs","implied")
menu.item.element.xmlElement.New.item.Attribute Reference.name = ["xmlStructureDiagram/xmlAttributeRef"]
menu.item.element.xmlElement.New.item.Attribute Reference.condition = %element%->hasProperty ("$canPasteAttributeRef")
menu.item.element.xmlElement.New.item.Attribute Reference.separator.after = true
menu.item.element.xmlElement.New.item.Attribute Reference.shortcut = CTRL+T

menu.item.element.xmlElement.New.item.Attribute Group=
\ node = createNode("xmlAttributeGroupRef");
\ node->setProperty("$name","$default")
menu.item.element.xmlElement.New.item.Attribute Group.name = ["xmlStructureDiagram/xmlAttributeGroupRef"]
menu.item.element.xmlElement.New.item.Attribute Group.icon = "com/togethersoft/modules/xml/images/toolbar/xmltype-toolbar-attributegroup.gif"
menu.item.element.xmlElement.New.item.Attribute Group.condition = %element%->hasProperty ("$canPasteAttributeGroupRef")
menu.item.element.xmlElement.New.item.Attribute Group.shortcut = CTRL+G

#menu.item.element.xmlElement.reusable                = setProperty("reusable", !hasProperty("reusable"))
#menu.item.element.xmlElement.reusable.checkbox       = true
#menu.item.element.xmlElement.reusable.checkbox.state = hasProperty("reusable")
#menu.item.element.xmlElement.reusable.name           = ["xmlStructureDiagram/xmlElement.property.reusable"]
#menu.item.element.xmlElement.reusable.separator.after = true                 

menu.item.element.xmlElement.Properties
menu.item.element.xmlElement.Properties.separator.after = true

menu.item.element.xmlElement.Add Linked = xmlReferencedImport("Linked")
menu.item.element.xmlElement.Add Linked.name = ["menu/add_linked_ellipsis"]

menu.item.element.xmlElement.Copy.separator.before = true
menu.item.element.xmlElement.Copy
menu.item.element.xmlElement.Cut
menu.item.element.xmlElement.Clone
menu.item.element.xmlElement.Paste
menu.item.element.xmlElement.Paste Reference
menu.item.element.xmlElement.Paste Reference
menu.item.element.xmlElement.Delete
menu.item.element.xmlElement.Delete from View
menu.item.element.xmlElement.Delete from View with Shortcut
menu.item.element.xmlElement.Delete with Shortcut
menu.item.element.xmlElement.Delete with Shortcut.separator.after = true

menu.item.element.xmlElement.Layout
menu.item.element.xmlElement.Hide/Show
menu.item.element.xmlElement.Hide/Show.separator.after = true

menu.item.element.xmlElement.Rename
menu.item.element.xmlElement.Rename.separator.after = true
###################################################################################################
# </element>
###################################################################################################

###################################################################################################
# <elementref>
###################################################################################################
###################################################################################################
# </elementref>
###################################################################################################

###################################################################################################
# <modelgroup>
###################################################################################################
menu.item.element.xmlModelGroup.sequence                = setProperty("compositor", "sequence")
menu.item.element.xmlModelGroup.sequence.checkbox       = true
menu.item.element.xmlModelGroup.sequence.checkbox.state = hasPropertyValue("compositor", "sequence")
menu.item.element.xmlModelGroup.sequence.name           = ["xmlStructureDiagram/xmlModelGroup.property.compositor.sequence"]

menu.item.element.xmlModelGroup.choice                  = setProperty("compositor", "choice")
menu.item.element.xmlModelGroup.choice.checkbox         = true
menu.item.element.xmlModelGroup.choice.checkbox.state   = hasPropertyValue("compositor", "choice")
menu.item.element.xmlModelGroup.choice.name           = ["xmlStructureDiagram/xmlModelGroup.property.compositor.choice"]
menu.item.element.xmlModelGroup.choice.separator.after  = true

#menu.item.element.xmlModelGroup.reusable                = setProperty("reusable", !hasProperty("reusable"))
#menu.item.element.xmlModelGroup.reusable.checkbox       = true
#menu.item.element.xmlModelGroup.reusable.checkbox.state = hasProperty("reusable")
#menu.item.element.xmlModelGroup.reusable.name           = ["xmlStructureDiagram/xmlElement.property.reusable"]
#menu.item.element.xmlModelGroup.reusable.separator.after = true

menu.item.element.xmlModelGroup.Properties
menu.item.element.xmlModelGroup.Properties.separator.after = true

menu.item.element.xmlModelGroup.Add Linked = xmlReferencedImport("Linked")
menu.item.element.xmlModelGroup.Add Linked.name = ["menu/add_linked_ellipsis"]

menu.item.element.xmlModelGroup.Copy.separator.before = true
menu.item.element.xmlModelGroup.Copy
menu.item.element.xmlModelGroup.Cut
menu.item.element.xmlModelGroup.Clone
menu.item.element.xmlModelGroup.Paste
menu.item.element.xmlModelGroup.Paste Reference
menu.item.element.xmlModelGroup.Paste Reference
menu.item.element.xmlModelGroup.Delete
menu.item.element.xmlModelGroup.Delete from View
menu.item.element.xmlModelGroup.Delete from View with Shortcut
menu.item.element.xmlModelGroup.Delete with Shortcut
menu.item.element.xmlModelGroup.Delete with Shortcut.separator.after = true

menu.item.element.xmlModelGroup.Layout
menu.item.element.xmlModelGroup.Hide/Show
menu.item.element.xmlModelGroup.Hide/Show.separator.after = true

menu.item.element.xmlModelGroup.Rename
menu.item.element.xmlModelGroup.Rename.separator.after = true
###################################################################################################
# </modelgroup>
###################################################################################################

###################################################################################################
# <modelgroupref>
###################################################################################################
###################################################################################################
# </modelgroupref>
###################################################################################################

###################################################################################################
# <referencelink>
###################################################################################################
menu.item.element.xmlReferenceLink.? = setProperty("$occurs", "?")
menu.item.element.xmlReferenceLink.?.checkbox = true
menu.item.element.xmlReferenceLink.?.checkbox.state = hasPropertyValue("$occurs", "?")
menu.item.element.xmlReferenceLink.?.name     = ["xmlStructureDiagram/xmlReferenceLink.property.occurs.?"]
menu.item.element.xmlReferenceLink.1 = setProperty("$occurs", "1")
menu.item.element.xmlReferenceLink.1.checkbox = true
menu.item.element.xmlReferenceLink.1.checkbox.state = hasPropertyValue("$occurs", "1")
menu.item.element.xmlReferenceLink.1.name     = ["xmlStructureDiagram/xmlReferenceLink.property.occurs.1"]
menu.item.element.xmlReferenceLink.m = setProperty("$occurs", "*")
menu.item.element.xmlReferenceLink.m.checkbox = true
menu.item.element.xmlReferenceLink.m.checkbox.state = hasPropertyValue("$occurs", "*")
menu.item.element.xmlReferenceLink.m.name     = ["xmlStructureDiagram/xmlReferenceLink.property.occurs.more"]
menu.item.element.xmlReferenceLink.+ = setProperty("$occurs", "+")
menu.item.element.xmlReferenceLink.+.checkbox = true
menu.item.element.xmlReferenceLink.+.checkbox.state = hasPropertyValue("$occurs", "+")
menu.item.element.xmlReferenceLink.+.name     = ["xmlStructureDiagram/xmlReferenceLink.property.occurs.+"]
menu.item.element.xmlReferenceLink.+.separator.after = true

menu.item.element.xmlReferenceLink.Properties
menu.item.element.xmlReferenceLink.Properties.separator.after = true

menu.item.element.xmlReferenceLink.Scroll to Source
menu.item.element.xmlReferenceLink.Scroll to Destination = scrollTo(getDestination())
menu.item.element.xmlReferenceLink.Scroll to Destination.separator.after = true

menu.item.element.xmlReferenceLink.Copy
menu.item.element.xmlReferenceLink.Cut
menu.item.element.xmlReferenceLink.Clone
menu.item.element.xmlReferenceLink.Paste
menu.item.element.xmlReferenceLink.Paste Reference
menu.item.element.xmlReferenceLink.Delete
menu.item.element.xmlReferenceLink.Delete from View
menu.item.element.xmlReferenceLink.Delete from View with Shortcut
menu.item.element.xmlReferenceLink.Delete with Shortcut
menu.item.element.xmlReferenceLink.Delete with Shortcut.separator.after = true
###################################################################################################
# </referencelink>
###################################################################################################
